Bug 177902 - Callbootd segfaults when connecting to nonexistent server
Callbootd segfaults when connecting to nonexistent server
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bootparamd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-16 06:45 EST by Jan Lieskovsky
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 01:35:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2006-01-16 06:45:23 EST
Description of problem:

Callbootd results in segmentation fault when trying to connect
to localhost nonexistent bootparamd server

Version-Release number of selected component (if applicable):

bootparamd-0.17-21.RHEL4.* and older versions

How reproducible:

Always

Steps to Reproduce:
1.# service bootparamd status
  #   
  (this blank field means, that bootparamd was never run on this host) 
2.# ifconfig

          eth0      Link encap:Ethernet  HWaddr 00:09:6B:1A:43:18
          inet addr:192.168.5.106  Bcast:192.168.5.255  Mask:255.255.255.0
          . . .
3. callbootd `hostname` 192.168.5.106
  
Actual results:

Segmentation fault

Expected results:

Whoami returning:
Null answer!!!
Bad answer returned from server tennyson.z900.redhat.com 


Additional info:

The same behaviour can be seen on RHEL-3.

Note You need to log in before you can comment on or make changes to this bug.